
import gurobi.GRB;
import gurobi.GRBException;
import gurobi.GRBModel;
import gurobi.GRBVar;

import java.util.ArrayList;


public class GRBy {
		public int v;
		public int i;
		public int j;		
		
  	public GRBy(int aa, int bb, int cc) {
      v = aa;
      i = bb;
      j = cc;
    	}
    
  	public static GRBModel yGenerator(ArrayList<Vessel> vessels, ArrayList<Position> positions, GRBModel model){
	
      GRBVar[][][] y = new GRBVar[vessels.size()][positions.size()][positions.size()];
      
      try{
      for (int v = 0; v < vessels.size(); v++) {
      	for (int i = 0; i < positions.size(); i++){
      		for (int j = 0; j < positions.size(); j++){
      			if (i != j){
            y[v][i][j] = model.addVar(0, 1, 0, GRB.BINARY, "y[" + vessels.get(v).code + "][" + positions.get(i).id + "][" + positions.get(j).id + "]");
      			}
      		}
      	}
      }	
  		
      }catch(GRBException e) {
      System.out.println("Error code: " + e.getErrorCode() + ". " +
          e.getMessage());
      }
  		return model;

  	}
		
}
