import java.util.ArrayList;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;


public class CapacityGroup {
	public String code;
	//public ArrayList<String> balanceCategoryCodes;

  public CapacityGroup(String aa){
      code = aa;
     // balanceCategoryCodes = bb;
  }
 
  /*
  public CapacityGroup(String aa){
    code = aa;
  }
  */ 
   
	public static ArrayList<CapacityGroup> importCapacityGroups(HSSFWorkbook workbook){
  	HSSFSheet capacityGroupSheet = workbook.getSheet("CapacityGroup");
  	int numberOfCapacityGroups = capacityGroupSheet.getLastRowNum();
		
		ArrayList<CapacityGroup> capacityGroups = new ArrayList<CapacityGroup>();
				
		for (int rowNum = 1; rowNum <= numberOfCapacityGroups; rowNum++){
			Row row = capacityGroupSheet.getRow(rowNum);
			Cell c = row.getCell(0);
			
			if (c != null){
			Cell capacityGroupCode = row.getCell(0);
			capacityGroupCode.setCellType(Cell.CELL_TYPE_STRING);

			
			capacityGroups.add(new CapacityGroup(
					(String)capacityGroupCode.getStringCellValue()));
				}
		 	}
		
		/*
		HSSFSheet capacityGroupBalanceCategorySheet = workbook.getSheet("CapacityGroupBalanceCategory");
		int capacityGroupBalanceCategoryLastRow = capacityGroupBalanceCategorySheet.getLastRowNum();
					
		for (int rowNum = 1; rowNum <= capacityGroupBalanceCategoryLastRow; rowNum++){
			Row row = capacityGroupBalanceCategorySheet.getRow(rowNum);
			
		  Cell capacityGroupCode = row.getCell(1);
		  capacityGroupCode.setCellType(Cell.CELL_TYPE_STRING);
		  Cell balanceCategoryCode = row.getCell(2);
		  balanceCategoryCode.setCellType(Cell.CELL_TYPE_STRING);
		  
		  for (int n = 0; n < numberOfCapacityGroups; n++){
		  	System.out.println(capacityGroups.get(n).code);
		  	System.out.println((String)capacityGroupCode.getStringCellValue());
		  	if (capacityGroups.get(n).code == (String)capacityGroupCode.getStringCellValue()){
		  		//capacityGroups.get(n).addBalanceCategory((String)capacityGroupCode.getStringCellValue());
		  		capacityGroups.get(n).balanceCategoryCodes.add((String)balanceCategoryCode.getStringCellValue());		//add balance category codes to capacity groups
					}
		  	}
		  }
		  */
		return capacityGroups;
	}
}